using Microsoft.AspNetCore.Mvc;
using Yuna.OauthServer.Endpoints.Auth.DTO;

namespace Yuna.OauthServer.Endpoints.Auth
{
    public class AuthEndpoints
    {
        public void Define(WebApplication app)
        {
            app.MapGet("oauth/auth", Authorize)
        }

        public IResult Authorize([AsParameters] AuthRequest request)
        {

        }

    }
}
